class time {
	if $kernel == "Linux" {
		class { '::ntp':
			servers => [ 'time-a.nist.gov', 'time-b.nist.gov', 'time-c.nist.gov', 'time-d.nist.gov' ],
			restrict => ['127.0.0.1', '::1']
		}
	}

	if $kernel == "Windows" {
		registry_value { "HKLM\SYSTEM\CurrentControlSet\Services\W32Time\TimeProviders\NtpClient\Enabled":
			ensure => present,
			type => dword,
			data => "0x01",
		}
	}
}
